// -----------------------------------------------------------
// IMessageDecryptor.java
// -----------------------------------------------------------
package cz.vutbr.wsagent.comm;

/**
 * This interface defines methods for getting concrete information from messages.
 * @author Martin Gábor
 */
public interface IMessageDecryptor {
    /**
     * Method <code>getAgentMessage</code> is used to get parameters of concrete agent.
     */
    AgentMessage getAgentMessage(String code);
}
