// -----------------------------------------------------------
// TransPacket.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.comm;

/**
 * The class <code>TransPacket</code> represents a packet that we want to send or it is used
 * when receiving. Mostly good to use to save temporary packet data.
 * @author Martin Gábor
 */
public class TransPacket {

    protected String content;
    protected int missingLength;
    protected int checkSum;
    protected int packetNumber;
    protected boolean isAgent;
    protected Object origMess;
    protected boolean isTransferring;
    protected String secondAddress;
    /**
     * Get the value of isTransferring
     *
     * @return the value of isTransferring
     */
    public boolean isIsTransferring() {
        return isTransferring;
    }

    /**
     * Set the value of isTransferring
     *
     * @param isTransferring new value of isTransferring
     */
    public void setIsTransferring(boolean isTransferring) {
        this.isTransferring = isTransferring;
    }



    /**
     * Get the value of content
     *
     * @return the value of content
     */
    public String getContent() {
        return content;
    }

    /**
     * Set the value of content
     *
     * @param content new value of content
     */
    public void setContent(String content) {
        this.content = content;
    }

  

    /**
     * Get the value of missingLength
     *
     * @return the value of missingLength
     */
    public int getMissingLength() {
        return missingLength;
    }

    /**
     * Set the value of missingLength
     *
     * @param missingLength new value of missingLength
     */
    public void setMissingLength(int missingLength) {
        this.missingLength = missingLength;
    }




    /**
     * Get the value of checkSum
     *
     * @return the value of checkSum
     */
    public int getCheckSum() {
        return checkSum;
    }

    /**
     * Set the value of checkSum
     *
     * @param checkSum new value of checkSum
     */
    public void setCheckSum(int checkSum) {
        this.checkSum = checkSum;
    }

    /**
     * Get the value of packetNumber
     *
     * @return the value of packetNumber
     */
    public int getPacketNumber() {
        return packetNumber;
    }

    /**
     * Set the value of packetNumber
     *
     * @param packetNumber new value of packetNumber
     */
    public void setPacketNumber(int packetNumber) {
        this.packetNumber = packetNumber;
    }

    /**
     * Get the value of isAgent
     *
     * @return the value of isAgent
     */
    public boolean isIsAgent() {
        return isAgent;
    }

    /**
     * Set the value of isAgent
     *
     * @param isAgent new value of isAgent
     */
    public void setIsAgent(boolean isAgent) {
        this.isAgent = isAgent;
    }

    /**
     * Get the value of origMess
     *
     * @return the value of origMess
     */
    public Object getOrigMess() {
        return origMess;
    }

    /**
     * Set the value of origMess
     *
     * @param origMess new value of origMess
     */
    public void setOrigMess(Object origMess) {
        this.origMess = origMess;
    }

    /**
     * Get the value of secondAddress
     *
     * @return the value of secondAddress
     */
    public String getSecondAddress() {
        return secondAddress;
    }

    /**
     * Set the value of secondAddress
     *
     * @param secondAddress new value of secondAddress
     */
    public void setSecondAddress(String secondAddress) {
        this.secondAddress = secondAddress;
    }



}
